org.apache.felix.threaddump.internal.jdk5

## Class Jdk15ThreadDumper

- java.lang.Object
- - org.apache.felix.threaddump.internal.jdk5.Jdk15ThreadDumper

All Implemented Interfaces:
  ThreadDumper

Direct Known Subclasses:
  Jdk16ThreadDumper

    public class Jdk15ThreadDumper
    extends java.lang.Object
    implements ThreadDumper

`ThreadDumper` implementation which relies on JMX APIs in JDK1.5.

### Constructor Summary

Constructors
Constructor and Description
`Jdk15ThreadDumper()`

### Method Summary

Methods
`protected long[]` `findDeadlockedThreads(java.lang.management.ThreadMXBean threadMXBean)`
`protected java.lang.management.ThreadInfo[]` `getThreadInfo(java.lang.management.ThreadMXBean threadMXBean)`
`protected void` `printDeadlockedThreadInfo(ThreadWriter threadWriter, java.lang.management.ThreadInfo info)`
`protected void` `printStackTrace(ThreadWriter threadWriter, java.lang.management.ThreadInfo info)`
`void` `printThreads(ThreadWriter threadWriter)` Dumps current running threads in the JVM.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Jdk15ThreadDumper

    public Jdk15ThreadDumper()

### Method Detail

#### printThreads

    public void printThreads(ThreadWriter threadWriter)

Description copied from interface: `ThreadDumper`
Dumps current running threads in the JVM.

Specified by:
  `printThreads` in interface `ThreadDumper`
Parameters:
  `threadWriter` - the target writer where dumping the threads.

#### getThreadInfo

    protected java.lang.management.ThreadInfo[] getThreadInfo(java.lang.management.ThreadMXBean threadMXBean)

#### findDeadlockedThreads

    protected long[] findDeadlockedThreads(java.lang.management.ThreadMXBean threadMXBean)

#### printStackTrace

    protected void printStackTrace(ThreadWriter threadWriter,
                       java.lang.management.ThreadInfo info)

#### printDeadlockedThreadInfo

    protected void printDeadlockedThreadInfo(ThreadWriter threadWriter,
                                 java.lang.management.ThreadInfo info)